Page MenuHomePhabricator

iOS: Publish button becomes hidden when scrolling down and won't reappear
Closed, ResolvedPublic

Description

When making edits on the mobile site, I have noticed that the bar at the top of the screen sometimes becomes hidden as it scrolls out of view so you can't cancel or publish the page. As the UI is designed so only the editing area should move you then have to pinch to zoom out multiple times to bring back in view.

I will upload a screen recording and image of the fault shortly.

Browser info:
iPhone 8 (Model MQ6H2B/A)
OS: iOS 12.1.4 (16D57)
Logged in: Y
URL of page issue seen on in reproduction above: https://en.m.wikipedia.org/wiki/User:RhinosF1/ToDoList#Things%20I'm%20planning%20on%20doing
diff of another time I've seen it:https://en.m.wikipedia.org/wiki/Special:MobileDiff/885370761
Browser: Google Chrome (72.0.3626.101.)

Event Timeline

RhinosF1 created this task.Feb 27 2019, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 4:55 PM

Wikipedia Beta is disabled to clarify

I can't give the diff for the reproduction as it didn't save.

See T217264 for why video says it saved.

Jdlrobson added a subscriber: Jdlrobson.

What browser/device are you using?

What browser/device are you using?

@Jdlrobson, please read the task information.

Jdlrobson renamed this task from Publish button becomes hidden when scrolling down and won't reappear to iOS: Publish button becomes hidden when scrolling down and won't reappear.Feb 27 2019, 6:21 PM
Jdlrobson added subscribers: Esanders, matmarex.

@Esanders @matmarex could this be related to the recent changes to drop the fixed header?

@Esanders @matmarex could this be related to the recent changes to drop the fixed header?

I'm on #wikimedia-mobile and #wikimedia-tech IRC Channels now if you have further questions

No, it is not related. The MobileFrontend editor has been broken like this at least for months, and possibly always. From the video, this looks the same as T211490.

No, it is not related. The MobileFrontend editor has been broken like this at least for months, and possibly always. From the video, this looks the same as T211490.

It's been around a while.

No, it is not related. The MobileFrontend editor has been broken like this at least for months, and possibly always. From the video, this looks the same as T211490.

It's been around a while.

T211490 is the same issue

AxelBoldt reopened this task as Open.Mar 17 2019, 10:26 PM
AxelBoldt added a subscriber: AxelBoldt.

This is not the same issue as T211490: that bug is about the wikitext inside of the editing text box not being scrollable under certain circumstances; this one is about the buttons on top of the editing text box sometimes scrolling out of view.

@RhinosF1 am struggling to replicate this, but I suspect that might be a problem my end. Can you confirm that you also see the same problem when editing https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain and also try https://en.m.wikipedia.org/wiki/User:RhinosF1/ToDoList?debug=true ? Thanks in advance!

@Jdlrobson - Bug is NOT reproducible on either link you've given.

Issue last seen 14/03/2019 at 18:15ish UTC if it helps

@RhinosF1 we did a special SWAT deploy on Friday 15th to fix this exact problem, so if you're not seeing this on those URLs, this could be fixed... If you are still able to replicate it on the original URL, can you try clearing your cache to see if the problem goes away?

RhinosF1 closed this task as Resolved.Mar 19 2019, 6:23 AM
RhinosF1 claimed this task.

@Jdlrobson - Nope, looks fixed then

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 19 2019, 6:23 AM
RhinosF1 removed RhinosF1 as the assignee of this task.Mar 19 2019, 6:55 PM